rtpext(3)

NAME
rtpext

SYNOPSIS

  Classes

class RTPDuplex
RTP peer host over UDP.

  Functions

RTPDuplex::RTPDuplex (const InetAddress &bind, tpport_t local, tpport_t remote)
virtual RTPDuplex::~RTPDuplex ()
UDPTransmit::Error RTPDuplex::connect (const InetHostAddress &host, tpport_t port=0)
bool RTPDuplex::isPendingData (microtimeout_t timeout)
size_t RTPDuplex::sendData (const unsigned char *const buffer, size_t len)
size_t RTPDuplex::recvData (unsigned char *buffer, size_t len, InetHostAddress &na, tpport_t &tp)
void RTPDuplex::setDataPeer (const InetAddress &, tpport_t)
void RTPDuplex::setControlPeer (const InetAddress &, tpport_t)
size_t RTPDuplex::getNextDataPacketSize () const
SyncSource & RTPDuplex::getPeer ()

Detailed Description

Function Documentation

  UDPTransmit::Error RTPDuplex::connect (const InetHostAddress & host, tpport_t port = 0)

Parameters
    host peer address
    port peer port. If not specified, the same as the local is used

Returns
    socket status

Examples
rtpduphello.cpp.

  size_t RTPDuplex::getNextDataPacketSize () const [inline], [protected], [virtual]

Implements IncomingDataQueue.

  SyncSource& RTPDuplex::getPeer () [protected]

Returns
    the associated peer information

  bool RTPDuplex::isPendingData (microtimeout_t timeout) [inline], [protected], [virtual]

Parameters
    timeout how much time to wait for new data

Returns
    if there is some new data

Implements RTPDataQueue.

  size_t RTPDuplex::recvData (unsigned char * buffer, size_t len, InetHostAddress & na, tpport_t & tp) [inline], [protected], [virtual]

Parameters
    buffer where to store the retrieved data
    len how many octets to read
    na Source network address.
    tp Source transport port.

Returns
    number of octets read

Implements IncomingDataQueue.

  RTPDuplex::RTPDuplex (const InetAddress & bind, tpport_t local, tpport_t remote)

Parameters
    bind network address this socket is to be bound
    local transport port this socket is to be bound
    remote peer transpor port

  size_t RTPDuplex::sendData (const unsigned char *const buffer, size_t len) [inline], [protected], [virtual]

Parameters
    buffer pointer to data to be written
    len how many octets to write

Returns
    number of octets written

Reimplemented from OutgoingDataQueue.

  void RTPDuplex::setControlPeer (const InetAddress &, tpport_t) [inline], [protected], [virtual]

Parameters
    - peer host network address.
    - peer host RTCP transport port.

Reimplemented from OutgoingDataQueue.

  void RTPDuplex::setDataPeer (const InetAddress &, tpport_t) [inline], [protected], [virtual]

Parameters
    - peer host network address.
    - peer host RTP data transport port.

Reimplemented from OutgoingDataQueue.

  virtual RTPDuplex::~RTPDuplex () [virtual]

Author

Generated automatically by Doxygen for ccRTP from the source code.